Run one Lead Finder search
curl --request POST \
--url https://app.puffle.ai/api/lead-finder/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.puffle.ai/api/lead-finder/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.puffle.ai/api/lead-finder/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search": {
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"scheduleEnabled": true,
"definitionHash": "<string>",
"intent": "<string>",
"sellerContext": "<string>",
"sourcePlans": [
{
"query": [
"<string>"
],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"geography": {
"mode": "explicit",
"countryCodes": [
"<string>"
],
"cityNames": [
"<string>"
]
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": [
"<string>"
]
}
],
"unresolvedPreferences": [
"<string>"
],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
}
],
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": [
"<string>"
]
},
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadCount": 4503599627370495,
"resultCount": 4503599627370495,
"contactedCount": 4503599627370495,
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"run": {
"runId": "<string>",
"triggerRunId": "<string>",
"continuationRetryAfter": "2023-11-07T05:31:56Z",
"counts": {}
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}Lead Finder
Run one Lead Finder search
Run one Lead Finder search
POST
/
api
/
lead-finder
/
{id}
/
run
Run one Lead Finder search
CLI:
puffle lead-finder run create --id <id>
puffle lead-finder run create --id <id> --continuation <continuation>
Overview
Run one Lead Finder search This page documentspost /api/lead-finder/{id}/run. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
true, false Was this page helpful?
⌘I